Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
A list of verification document types.
Collection of Pico.VerificationDocumentType| Name | Description | Type | Additional information |
|---|---|---|---|
| category |
Gets or sets the category. |
string |
None. |
| code |
Gets or sets the code. |
string |
None. |
| conditionCategory |
Gets or sets the condition category. |
string |
None. |
| defaultVersioning |
Gets or sets the default versioning. |
string |
None. |
| description |
Gets or sets the description. |
string |
None. |
| isActive |
Gets or sets a value indicating whether the description is appendable or not. |
boolean |
None. |
| isConditionless |
Gets or sets a value indicating whether the type is not associated with conditions. |
boolean |
None. |
| isDescriptionAppendable |
Gets or sets a value indicating whether the description is appendable or not. |
boolean |
None. |
| isDescriptionEditable |
Gets or sets a value indicating whether the description is editable or not. |
boolean |
None. |
| mergeDefault |
Gets or sets the merge default. |
string |
None. |
| order |
Gets or sets the order. |
integer |
None. |
| id |
Gets or sets the verification document type identifier. |
integer |
None. |
| lockingPermission |
Gets or sets the permission required for locking. |
integer |
None. |
| viewingPermission |
Gets or sets the permission required for viewing. |
integer |
None. |
Response Formats
application/json, text/json
[
{
"category": "sample String 1",
"code": "sample String 2",
"conditionCategory": "sample String 3",
"defaultVersioning": "sample String 4",
"description": "sample String 5",
"isActive": true,
"isConditionless": true,
"isDescriptionAppendable": true,
"isDescriptionEditable": true,
"mergeDefault": "sample String 10",
"order": 1,
"id": "11",
"lockingPermission": "1",
"viewingPermission": "1"
},
{
"category": "sample String 1",
"code": "sample String 2",
"conditionCategory": "sample String 3",
"defaultVersioning": "sample String 4",
"description": "sample String 5",
"isActive": true,
"isConditionless": true,
"isDescriptionAppendable": true,
"isDescriptionEditable": true,
"mergeDefault": "sample String 10",
"order": 1,
"id": "11",
"lockingPermission": "1",
"viewingPermission": "1"
}
]
text/html
[{"category":"sample String 1","code":"sample String 2","conditionCategory":"sample String 3","defaultVersioning":"sample String 4","description":"sample String 5","isActive":true,"isConditionless":true,"isDescriptionAppendable":true,"isDescriptionEditable":true,"mergeDefault":"sample String 10","order":1,"id":"11","lockingPermission":"1","viewingPermission":"1"},{"category":"sample String 1","code":"sample String 2","conditionCategory":"sample String 3","defaultVersioning":"sample String 4","description":"sample String 5","isActive":true,"isConditionless":true,"isDescriptionAppendable":true,"isDescriptionEditable":true,"mergeDefault":"sample String 10","order":1,"id":"11","lockingPermission":"1","viewingPermission":"1"}]
application/xml, text/xml
<ArrayOfVerificationDocumentType xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<VerificationDocumentType>
<Category>sample String 1</Category>
<Code>sample String 2</Code>
<ConditionCategory>sample String 3</ConditionCategory>
<DefaultVersioning>sample String 4</DefaultVersioning>
<Description>sample String 5</Description>
<IsActive>true</IsActive>
<IsConditionless>true</IsConditionless>
<IsDescriptionAppendable>true</IsDescriptionAppendable>
<IsDescriptionEditable>true</IsDescriptionEditable>
<MergeDefault>sample String 10</MergeDefault>
<Order>1</Order>
<VerificationDocumentTypeId>11</VerificationDocumentTypeId>
<LockingPermissionId>1</LockingPermissionId>
<ViewingPermissionId>1</ViewingPermissionId>
</VerificationDocumentType>
<VerificationDocumentType>
<Category>sample String 1</Category>
<Code>sample String 2</Code>
<ConditionCategory>sample String 3</ConditionCategory>
<DefaultVersioning>sample String 4</DefaultVersioning>
<Description>sample String 5</Description>
<IsActive>true</IsActive>
<IsConditionless>true</IsConditionless>
<IsDescriptionAppendable>true</IsDescriptionAppendable>
<IsDescriptionEditable>true</IsDescriptionEditable>
<MergeDefault>sample String 10</MergeDefault>
<Order>1</Order>
<VerificationDocumentTypeId>11</VerificationDocumentTypeId>
<LockingPermissionId>1</LockingPermissionId>
<ViewingPermissionId>1</ViewingPermissionId>
</VerificationDocumentType>
</ArrayOfVerificationDocumentType>